FreeBSD : security/py-ecdsa -- multiple issues (a23ebf36-e8b6-4665-b0f3-4c977f9a145c)

critical Nessus Plugin ID 139641

Language:

Synopsis

The remote FreeBSD host is missing one or more security-related updates.

Description

py-ecdsa developers report :

Fix CVE-2019-14853 - possible DoS caused by malformed signature decoding.

Fix CVE-2019-14859 - signature malleability caused by insufficient checks of DER encoding

Solution

Update the affected packages.

See Also

http://www.nessus.org/u?7cd61c2a

http://www.nessus.org/u?46f28a35

Plugin Details

Severity: Critical

ID: 139641

File Name: freebsd_pkg_a23ebf36e8b64665b0f34c977f9a145c.nasl

Version: 1.2

Type: local

Published: 8/18/2020

Updated: 8/20/2020

Risk Information

VPR

Risk Factor: Medium

Score: 5.2

CVSS v2

Risk Factor: Medium

Base Score: 6.4

Temporal Score: 4.7

Vector: AV:N/AC:L/Au:N/C:P/I:P/A:N

Temporal Vector: E:U/RL:OF/RC:C

CVSS v3

Risk Factor: Critical

Base Score: 9.1

Temporal Score: 7.9

Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:N

Temporal Vector: E:U/RL:O/RC:C

Vulnerability Information

CPE: p-cpe:/a:freebsd:freebsd:py27-ecdsa, p-cpe:/a:freebsd:freebsd:py37-ecdsa, cpe:/o:freebsd:freebsd

Required KB Items: Host/local_checks_enabled, Host/FreeBSD/release, Host/FreeBSD/pkg_info

Exploit Ease: No known exploits are available

Patch Publication Date: 8/16/2020

Vulnerability Publication Date: 10/7/2019

Reference Information

CVE: CVE-2019-14853, CVE-2019-14859